<?php

class Expapay_Notification extends Abstract_Expapay_Responsive {
	
	protected $payment_id;
	protected $order_id;
	protected $status;
	protected $rrn;
	protected $reason;
	protected $error;
	protected $signature;
	
	private $error_mess;
	
	use Expapay_Signature;
	
	public function __construct( $data ) {
		parent::__construct( $data );
	}
	
	public function is_validation( $signing_key ) {
		
		if ( $this->signature != $this->get_signature( $signing_key ) ) {
			$this->error_mess = 'Invalid signature ' . $this->signature;
			
			return false;
		}
		
		if ( $this->status == parent::STATUS_CAPTURED ) {
			return true;
		}
		
		$this->error_mess = $this->reason ? $this->reason . ' ' . $this->get_status_label() : $this->get_status_label();
		
		return false;
	}
	
	
	public function get_error_mess() {
		return $this->error_mess;
	}
	
	public function get_order_id() {
		return $this->order_id;
	}
}