<?php

require_once plugin_dir_path( dirname( __FILE__ ) ) . 'expapay-gateway/trait-expapay-signature.php';
require_once plugin_dir_path( dirname( __FILE__ ) ) . 'expapay-gateway/abstract-class-expapay-responsive.php';
require_once plugin_dir_path( dirname( __FILE__ ) ) . 'expapay-gateway/class-expapay-notification.php';
require_once plugin_dir_path( dirname( __FILE__ ) ) . 'expapay-gateway/purchase/class-expapay-purchase-request.php';
require_once plugin_dir_path( dirname( __FILE__ ) ) . 'expapay-gateway/purchase/class-expapay-purchase-responsive.php';

//require_once plugin_dir_path( dirname( __FILE__ ) ) . 'expapay-gateway/class-expapay-payer.php';

class Expapay {
	
	private $base_url;
	private $responsive;
	
	
	public function __construct( $test_mode ) {
		$this->base_url = $test_mode ? 'https://gw.stage.expapay.com/v1/' : 'https://gw.expapay.com/v1/';
	}
	
	public function request_purchase( $account_id, $amount, $order_id, $signing_key ) {
		
		$request = new Expapay_Purchase_Request( $account_id, $amount, $order_id, $signing_key );
		$request->send( $this->base_url );
		$this->responsive = $request->get_responsive();
	}
	
	public function get_responsive() {
		return $this->responsive;
	}
}
