<?php

class Expapay_Purchase_Request {
	
	const METHOD = 'purchase';
	
	protected $account_id;
	protected $order_id;
	protected $amount;
	//private $hold_only;
	protected $responsive;
	protected $signature;
	
	use Expapay_Signature;
	
	/**
	 * Expapay_Purchase_Request constructor.
	 *
	 * @param $account_id
	 * @param $amount
	 * @param $order_id
	 * @param $signing_key
	 */
	public function __construct( $account_id, $amount, $order_id, $signing_key ) {
		$this->account_id = $account_id;
		$this->amount     = $amount;
		$this->order_id   = (string) $order_id;
		$this->signature = $this->get_signature( $signing_key );
	}
	
	public function send( $url ) {
		
		$ch = curl_init();
		curl_setopt( $ch, CURLOPT_URL, $url . self::METHOD );
		curl_setopt( $ch, CURLOPT_POST, 1 );
		curl_setopt( $ch, CURLOPT_POSTFIELDS, json_encode( $this->get_all_vars() ) );
		curl_setopt( $ch, CURLOPT_HTTPHEADER, [
			'Accept: application/json',
			'Content-Type: application/json',
		] );
		
		curl_setopt( $ch, CURLOPT_RETURNTRANSFER, 1 );
		$result = curl_exec( $ch );
		curl_close( $ch );
		
		$this->set_responsive( json_decode( $result, 1 ) );
	}
	
	public function get_responsive() {
		return $this->responsive;
	}
	
	private function set_responsive( $data ) {
		$this->responsive = new Expapay_Purchase_Responsive( $data );
	}
}
