<?php

trait Expapay_Signature {
	
	protected function get_signature( $signing_key ) {
		$temp = $this->flatten( $this->get_all_vars() );
		ksort( $temp );
		
		return hash_hmac( 'sha256', join( '', $temp ), $signing_key );
	}
	
	protected function get_all_vars() {
		return array_filter( get_object_vars( $this ) );
	}
	
	protected function flatten( $array, $prefix = '' ) {
		$result = array();
		
		foreach ( $array as $key => $value ) {
			if ( is_array( $value ) ) {
				$result = $result + $this->flatten( $value, "{$prefix}{$key}." );
			} elseif ( $key != 'signature' ) {
				$result[ $prefix . $key ] = $value;
			}
		}
		
		return $result;
	}
}