<?php
/*
Plugin Name: WooCommerce Expapay Payment Gateway
Plugin URI: https://expapay.com
Description: Платежный шлюз Expapay для WooCommerce
Version: 1.0.0
Author: Expapay
Author URI: https://expapay.com
WC requires at least: 2.0.0
WC tested up to: 3.6.3
*/

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

/**
 * Currently plugin version.
 */
define( 'WC_EXPAPAY_PAYMENT_GATEWAY_VERSION', '1.0.0' );

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-wc-expapay-payment-gateway-activator.php
 */
function activate_wc_expapay_payment_gateway() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-wc-expapay-payment-gateway-activator.php';
	WC_Expapay_Payment_Gateway_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-wc-expapay-payment-gateway-deactivator.php
 */
function deactivate_wc_expapay_payment_gateway() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-wc-expapay-payment-gateway-deactivator.php';
	WC_Expapay_Payment_Gateway_Deactivator::deactivate();
}

register_activation_hook( __FILE__, 'activate_wc_expapay_payment_gateway' );
register_deactivation_hook( __FILE__, 'deactivate_wc_expapay_payment_gateway' );

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path( __FILE__ ) . 'includes/class-wc-expapay-payment-gateway.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */
function run_wc_expapay_payment_gateway() {

	$plugin = new WC_Expapay_Payment_Gateway();
	$plugin->run();

}
run_wc_expapay_payment_gateway();
